--- old/usr/src/tools/smatch/src/smatch_scripts/kpatch.sh	Tue Jan  7 08:01:56 2020
+++ new/usr/src/tools/smatch/src/smatch_scripts/kpatch.sh	Tue Jan  7 08:01:56 2020
@@ -99,8 +99,10 @@
 
 git commit $AMEND -F $MSG_FILE
 
-to_addr=$(./scripts/get_maintainer.pl -f --noroles --norolestats $fullname | head -n 1)
-cc_addr=$(./scripts/get_maintainer.pl -f --noroles --norolestats $fullname | tail -n +2 | \
+git format-patch HEAD^ --stdout >> $MSG_FILE
+
+to_addr=$(./scripts/get_maintainer.pl --noroles --norolestats $MSG_FILE | head -n 1)
+cc_addr=$(./scripts/get_maintainer.pl --noroles --norolestats $MSG_FILE | tail -n +2 | \
     perl -ne 's/\n$/, /; print')
 cc_addr="$cc_addr, kernel-janitors@vger.kernel.org"
 
@@ -118,3 +120,4 @@
 read unused
 
 mutt -H $MAIL_FILE
+rm -f $MSG_FILE
